## plan 1.10.1

=== src/Makefile ===
#
# installation directories. DIR contains the main interactive plan program,
# SBIN contains netplan, and LIB contains everything else (pland, notifier,
# plan.help, PostScript skeletons). If you change any of these, remove util.o.
# INCDIR is for searching nonstandard include directories, eg. "-I/usr/X11R5".
# ALWAYS TERMINATE macro assignments with #. DO NOT put a blank between the
# path and the #, or you'll get compile errors. DO NOT put blanks before and
# after "=", this is parsed and rewritten by the configure script.
#
#				# user-callable executable (plan)
DIR=/usr/local/bin
#				# auxiliary programs (pland, notifier, PS)
LIB=/usr/local/lib
#				# help file (plan.help)
SBIN=/usr/local/bin
#				# system programs (netplan)
HELP=/usr/local/lib
#				# netplan expects netplan.dir/ here
NETPLANDIR=/usr/local/lib
#				# unformatted nroff manpage (plan.[14])
MAN=/usr/local/man/man
#				# formatted manpage (plan.[14])
CATMAN=/usr/catman/local/cat
#				# subdirectory in home dir, or empty
PLANRULE=
#				# lockfile for plan, %d is uid
PLANLOCK="/tmp/.plan%d"
#				# lockfile for pland, %d is uid
PLANDLOCK="/tmp/.pland%d"
#				# extra cc options, e.g. "-I/var/include"
INCDIR=
#				# standard Unix lexer
LEX=lex
#				# standard Unix compiler generator
YACC=yacc
#				# numerical user ID of <nobody> account
NOB_UID=60001
#				# default numerical group ID of <nobody>
NOB_GID=60001
# 				# used by plan to pre-process holiday files,
#				# plan will check if this file really exists
CPP_PATH='/lib/cpp -P -I$(HELP)'
#				# by default, fork on startup? TRUE or FALSE
DOFORK=TRUE
#				# switching to ISO8859-1
ESCTOISOLATIN=\"\\033\(B\"
#				# switching to JIS X0201-1976 roman
ESCTOJISLATIN=\"\\033\(J\"
#				# uncomment this for Japanese version of plan
#				# JAPAN requires X11R5 and a Japanese env.
JAPANDEFS='-DJAPAN -DESCTOASCII=$(ESCTOJISLATIN) -DLENTOASCII=3 -DLOCALE_SJIS=ja_JP.SJIS -DLOCALE_EUC=ja_JP.EUC'
JAPAN=
#				# default holiday locale
HOLIDAY=german
#				# do NOT define -O2 on DEC OSF/1 machines!
#				# use -O instead of -O2 on HP and Solaris
DEBUG=-g
DEBUG=-O2
#				# what to do without make arguments
DEFTARGET=linux
#------------------------- end of configuration section ----------------------

OPT=$(DEBUG) $(PLANRULE) -DPLANLOCK=\"$(PLANLOCK)\" -DPLANDLOCK=\"$(PLANDLOCK)\"

DESTDIR=

#
# compiler flags. Add these to *_C macro as needed:
#
#	-DDESKTOP	for SGIs running IRIX 5.2, desktop look&feel, 4Dwm only
#	-DBSD		use setpgrp(0, 0) and new wait(); also for OSF systems
#	-DSUN		for SunOS 4.1.x systems
#	-DIBM		for IBM AIX systems, includes sys/lockf.h
#	-DULTRIX	for Ultrix 4.3/Motif 1.1.3 systems, different font
#	-DPID_T=long	for IBM/AIX systems and other systems with pids>30000
#	-DFIXMBAR	use if pulldowns in the menu bar are empty (HP/UX 8.x)
#	-DNOMSEP	remove all XmVaSEPARATORs in pulldowns (some HP/UX's)
#	-DNOREGEX	if you don't have regcmp() and regex()
#	-DNOLIMIT	if there is no /usr/include/limits.h
#	-DNOKILL0	if kill(pid,0) works (sends no signal, pid check only)
#	-DFLOCK		use flock instead of lockf
#	-DNOLOCK	use if lockf() and flock() are both undefined
#	-DUSERAND	use rand/srand instead of random/srandom
#	-DBACKING	for window backing store if supported (untested)
#	-DRABBITS	daemon survives logout (if there is no utmp/getpwnam)
#	-DDESTROYBUG	fixes Linux XtDestroyWidget bug that kills plan when a
#			Done button is used. WARNING: introduces a memory leak
#	-DSTDLIBMALLOC	do not include <malloc.h>, use <stdlib.h> instead,
#			(FreeBSD)
#
# Note for HP systems: if you have the PROG-AUX option, remove -DNOREGEX
# from HP_C, and add -lPW to HP_L1. On Suns, try removing -DNOREGEX (and
# adding -lPW if necessary) to get regular expression searches. If you have
# problems with HP/UX and missing pulldowns, try adding/removing -DFIXMBAR.
# Sun users using Solaris 2.1 and gcc may have to add -DNOMSEP for pulldowns,
# and -DNOLOCK if "deadlock avoided" messages appear. There is at least one
# IBM that will compile plan only with -DNOLOCK if -DIBM is removed.
# Don't use a renamed copy of this Makefile, it uses itself recursively.
# If your linker can't find libraries such as libXm.a, setenv LD_LIBRARY_PATH.
# SGI is compiled with -32 because IRIX 6.2 doesn't install -n32 Motif libs
# by default, and the cvd debugger works better with -32 too.
#

SGI4_C	=
SGI5_C	= -DSYSV -DSVR4 -DDESKTOP
SGI6_C	= -n32 -mips3 -woff 1167 -DSYSV -DSVR4 -DDESKTOP -D_BSD_SIGNALS
HP8_C	= -Aa -I/usr/include/Motif1.1 -I/usr/include/X11R4 -I/usr/include\
	  -D_INCLUDE_HPUX_SOURCE -D_INCLUDE_POSIX_SOURCE\
	  -D_INCLUDE_XOPEN_SOURCE -DNOREGEX -DFIXMBAR -DRABBITS
HP9_C	= -Aa -I/usr/include/Motif1.2 -I/usr/include/X11R5 -I/usr/include\
	  -D_HPUX_SOURCE -DRABBITS -DNOMSEP -DNOREGEX -DUSERAND
HP_C    = -Ae -I/usr/include/Motif1.2_R6 -I/usr/include/X11R6 -I/usr/include\
          -D_HPUX_SOURCE -DRABBITS
HPG_C	= -ansi -I/usr/include/Motif1.2 -I/usr/include/X11R5 -DHPGCC\
	  -DRABBITS -DNOMSEP -DNOREGEX -DUSERAND
IBM_C	= -O -I/usr/include/X11 -D_ALL_SOURCE -DIBM -DAIXV3 -DNOMSEP -DRABBITS
PS2_C	= -O -I/usr/include/X11 -D_POSIX_SOURCE\
	  -DIBM -D_XOPEN_SOURCE -D_ANSI_C_SOURCE -DNOMSEP -DNOLOCK
OSF_C	= -DNOREGEX -DBSD -DOSF -DRABBITS -DNOMSEP -DFLOCK
SUN_C	= -DSUN -DRABBITS -DNOMSEP
SUNG_C	= -DSUN -DRABBITS -DNOMSEP -ansi -I/usr/5include -I/usr/include/X11\
	  -DNOREGEX
SPARC_C	= -DSUN -DRABBITS -DNOMSEP -ansi -I/usr/5include -I/usr/include/X11\
	  -DNOREGEX -Dsparc
SOL_C	= -DSUN -DSOLARIS2 -DNOMSEP -I/usr/local/X11R5/include\
	  -I/usr/local/X11R5/include/X11 -I/usr/ucbinclude
SOLG_C	= -DSUN -DSOLARIS2 -DNOMSEP -DUSERAND -I/usr/openwin/include\
	  -I/usr/dt/include -L/usr/dt/lib
ULTRIX_C= -DNOLOCK -DULTRIX -DRABBITS -DNOMSEP
CDC_C	= -DUSERAND
MIPS_C	= -DMIPS -systype sysv -Wf,-XNd4000 -DPID_T="int" -DMIPS\
	  -I/usr/include/bsd
DG_C	=
SNI_C	= -DSYSV -DNOREGEX -DUSERAND
ISC_C	= -DSYSV -DNOREGEX -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_SYSV3
NCR_C	= -DNCR -DNOMSEP -DRABBITS
USL_C	= -DNOKILL0 -I/usr/X/include
BSDI_C	= -DBSD -DRABBITS -I/usr/X11/include -DFLOCK -DNOREGEX -Dbsdi
BSDIG_C	= -DBSD -DRABBITS -I/usr/X11/include -DFLOCK -DNOREGEX -Dbsdi -ansi 
NBSD_C	= -ansi -I/usr/X11R6/include -DBSD -DRABBITS -DNOLOCK -DNOREGEX\
	  -DNO_MOTIF
FBSD_C	= -ansi -I/usr/X11R6/include -DBSD -DNOLOCK -DNOREGEX -DRABBITS\
	  -DSTDLIBMALLOC
OBSD_C	= -ansi -I/usr/X11R6/include -DBSD -DRABBITS -DNOLOCK -DNOREGEX\
	  -DNO_MOTIF -DSTDLIBMALLOC
LINUX_C	= -W -Wall -m32 -I/usr/X11R6/include -DNOLOCK -DLINUX -Dlinux
LINUX64_C = -W -Wall -m64 -I/usr/X11R6/include -DNOLOCK -DLINUX -Dlinux
SVR4_C	= -DSVR4 -DSYSV -DOLDTZ -DUSERAND -DPID_T=long -DNOMSEP
NEWS_C	= -DNEWSOS4 -DNOMSEP -DSUN -DBSD -DRABBITS -DNGROUPS_MAX=16\
	  -DPID_T="int" -Dconst=""
NEWSG_C	= -DNEWSOS4 -DNOMSEP -DSUN -DBSD -DRABBITS -DNGROUPS_MAX=16\
	  -DPID_T="int"
NEWS6_C	= -DNOMSEP -DSVR4 -DRABBITS -DNOREGEX
NEWS6G_C= -DNOMSEP -DSVR4 -DRABBITS -DNOREGEX
SQNT2_C	= -I/usr/include  -DUSERAND -DBACKING -DSYSV -D_NO_PROTO -DUSG
SQNT4_C	= -I/usr/include  -DBACKING -DUSERAND -DSETREUID
CONV_C	= -Dconvex -DBSD -DRABBITS -I/usr/X11/include -DNOLOCK -DNOREGEX -Dbsdi
UW_C	= -I/usr/X/include -DOLDTZ -DUSERAND \
	  -DSVR4 -D_INCLUDE_POSIX_SOURCE -D_INCLUDE_XOPEN_SOURCE
APOL_C	= -I/usr/include/X11R5 -I/usr/include\
	  -D_APOLLO_SOURCE -DRABBITS -DNOMSEP -DNOREGEX -DUSERAND -DNOLOCK
OS2_C	= -Zmt -Wimplicit -Wno-unused -I$(X11ROOT)/XFree86/include -DNOMSEP \
	  -DNOLOCK
LYNX_C  = -DNOREGEX -D__NO_INCLUDE_WARN__ -DBSD -mthreads
MACOSX_C= -W -Wall -I/usr/X11R6/include -I/usr/OpenMotif/include -DNOLOCK -DMACOSX -DNOREGEX


#
# loader flags. Requires X11, Xt, and Motif libraries. PW is for regcmp/regex.
#

SGI_L1	= -lXm_s -lXt_s -lXmu -lX11_s -lPW -lsun
SGI_L2	= -lsun -lc_s
SGI5_L1	= -lXm -lXt -lX11 -lPW
SGI5_L2	= -lc
SGI6_L1	= -lXm -lXt -lX11 -lPW
SGI6_L2	= -L/usr/local/lib -lc
HP8_L1	= -L/usr/lib/X11R4 -L/usr/lib/Motif1.1 -lXm -lXt -lX11 -lc
HP8_L2	=
HP9_L1	= -L/usr/lib/X11R5 -L/usr/lib/Motif1.2 -lXm -lXt -lX11 -lc
HP9_L2	=
HP_L1	= -L/usr/lib/X11R6 -L/usr/lib/Motif1.2_R6 -lXm -lXt -lX11 -lc -lPW
HP_L2	= -lXm -lXt -lX11 -lc -lPW
IBM_L1	= -lXm -lXt -lX11 -lPW
IBM_L2	=
PS2_L1	= -lXm -lXt -lX11 -lPW
PS2_L2	=
OSF_L1	= -lXm -lXt -lX11
OSF_L2	=
SUN_L1	= -lXm -lXt -lX11
SUN_L2	= -lc
SUNG_L1	= -L/usr/5lib -lXm -lXt -lX11
SUNG_L2	= -L/usr/5lib -lc
SPARC_L1= -L/usr/5lib -lXm -lXt -lX11 -lm
SPARC_L2= -L/usr/5lib -lc
SOL_L1	= -L$(OPENWINHOME)/lib -L$(MOTIFHOME)/lib -lXm -lXt -lX11 -lelf -lgen -lsocket -lnsl
SOL_L2	= -lc -lsocket -lnsl
SOLG_L1	= -L$(OPENWINHOME)/lib -L$(MOTIFHOME)/lib -lXm -lXt -lX11 -lelf -lgen -lsocket -lnsl
SOLG_L2	= -lc -lsocket -lnsl
ULTRIX_L1= -lXm -lXt -lX11
ULTRIX_L2=
CDC_L1	= -lXm -lXt -lX11 -lgen -lnsl -lsocket
CDC_L2	= -lgen -lnsl -lsocket
MIPS_L1	= -lXm -lXt -lX11 -lbsd -lsun -lc -lPW
#MIPS_L1= -L/usr/X11/lib -lXm -lXt -lX11 -lbsd -lc -lPW
MIPS_L2	=
DG_L1	= -lXm -lXt -lX11 -lPW
DG_L2	=
SNI_L1	= -lXm -lXt -lX11 -lsocket -lnsl -lXmu -lXext -lgen 
SNI_L2	= -lsocket -lnsl
ISC_L1	= -lXm -lXt -lX11 -lXmu -linet -lnsl_s
ISC_L2	=
NCR_L1	= -lXm -lXt -lX11 -lXext -lnsl -lgen
NCR_L2	= -lgen
USL_L1	= -B static -lXm -B dynamic -lXaw -lXext -lXmu -lXt -lX11 -lm -lnsl -lgen
USL_L1m	= -lXm -lXaw -lXext -lXmu -lXt -lX11 -lm -lnsl -lgen
USL_L2	= -lc
BSDI_L1	= -lXm -lXt -lX11
BSDI_L2	= -lc
BSDIG_L1= -L/usr/X11/lib -lXm -lXt -lX11
BSDIG_L2= -L/usr/X11/lib -lc
NBSD_L1	= -L/usr/X11R6/lib -lXm -lXt -lX11
NBSD_L2	= -L/usr/X11R6/lib -lc
FBSD_L1	= -L/usr/X11R6/lib -lXm -lXt -lX11 -lXext -lSM -lICE -lXpm
FBSD_L2	= -L/usr/X11R6/lib -lc
OBSD_L1	= -L/usr/local/lib -lXm -L/usr/X11R6/lib -lXt -lX11
OBSD_L2	= -lc
LINUX_L1= -L/usr/X11R6/lib -L/usr/lib/X11R6/lib -lXm -lXt -lX11 -lXpm -lc -lXext -lICE -lX11
LINUX_L2= -lc
SLINUX_L1= -L/usr/X11R6/lib -L/usr/lib/X11R6/lib -lSM /usr/X11R6/lib/libXm.a -lXt -lX11 /usr/X11R6/lib/libXpm.a -lc -lXext -lSM -lICE -lX11
SLINUX_L2= -lc
SVR4_L1	= -lXm -lXt -lX11 -lgen -lsocket -lnsl
SVR4_LK2=
NEWS_L1	= -lXm -lXt -lX11 -lXlc
NEWS_L2	=
NEWS6_L1= -lXm -lXt -lX11 -lsocket -lnsl
NEWS6_L2= -lsocket -lnsl
SQNT2_L1= -Xo -lXm -lXaw -lXmu -lXt -lXext -lX11 -lm -lPW -leli -linet -lnsl -lseq
SQNT2_L2= 
SQNT4_L1= -lXm -lXaw -lXmu -lXt -lXext -lX11 -lm -lPW
SQNT4_L2= -lsocket -lnsl -lseq
CONV_L1	= -lXm -lXt -lX11
CONV_L2	= -lc
UW_L1	= -lXm -lXt -lX11 -lgen -lnsl
UW_L2	= -lgen
APOL_L1	= -L/usr/lib/X11R5 -L/usr/lib/Motif1.2 -lXm -lXt -lX11 -lc
APOL_L2	=
OS2_L1	= -s -Zexe -Zmtd -L$(X11ROOT)/XFree86/lib -lXm -lXt -lX11 -lsocket -lbsd -lregexp -Zsysv-signals
OS2_L2	= -s -Zexe -Zmtd -lsocket -lbsd -Zsysv-signals
LYNX_L1	= -mthreads -lXm_s -lXt_s -lSM -lICE -lXpm -lXext -lXmu -lX11_s -lbsd
LYNX_L2	= -mthreads -lbsd
MACOSX_L1= -L/usr/X11R6/lib -L/usr/OpenMotif/lib -lSM -lXm -lXt -lX11 -lXpm -lc -lXext -lSM -lICE -lX11
MACOSX_L2= -lc


start: $(DEFTARGET)

#---------------------------------------------------------------
# to add another system here, define XXX_C, XXX_L1, and XXX_L2 by picking
# available options from the list at the top of this Makefile, add an echo
# here, and add a target in the next section. Please mail patches to me.

help:
	@echo "Usage:"
	@echo "  make sgi4      4.x SGI systems"
	@echo "  make sgi5      5.x SGI systems, desktop look&feel, 4Dwm only"
	@echo "  make sgi       6.x SGI systems, desktop look&feel, 4Dwm only"
	@echo "  make hp8       HP/UX 8 with X11R4 and Motif 1.1.5"
	@echo "  make hp9       HP/UX 9 with X11R5 and Motif 1.2"
	@echo "  make hp        HP/UX 10/11 with X11R5 and Motif 1.2"
	@echo "  make hpg       HP/UX 10/11 with X11R5, Motif 1.2, gcc"
	@echo "  make ibm       IBM RS6000 running AIX"
	@echo "  make ps2       IBM PS/2 Model 8577, AIX 1.3 with mpp level 0013 patches, gcc"
	@echo "  make osf       DEC running OSF/1"
	@echo "  make sun       Sun with Motif (won't work with OpenLook)"
	@echo "  make sung      Sun 4.1.3/Solaris 2.2 with Motif, using gcc"
	@echo "  make sparc     Sun 4.1.3 on SUN 4C, gcc, adds -Dsparc option"
	@echo "  make sol       Solaris 2.5 with Motif, using cc"
	@echo "  make solg      Solaris 2.5 with Motif, using gcc"

=== debian/changelog ===
plan (1.10.1-5) unstable; urgency=low

  * Correct Vcs-Browser URL.
  * Correct patch 80_cmdappend_year.patch to use 'long long' instead of
    'long' and assert that the type is long enough to handle a 12 digit
    decimal number.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Feb 2014 13:56:19 +0100

plan (1.10.1-4) unstable; urgency=low

  * Add watch file from
    http://qa.debian.org/cgi-bin/watchfile.cgi?package=plan.
  * Fix typo in postinst explanation on how to enable netplan.
  * Rewrite init.d/netplan to use /lib/init/init-d-script if available,
    and included version if it is not.
  * Updated debhelper compat level from 7 to 9.
  * Switch source to deb format 3.0 (quilt).
  * Add patch 90_manpagetypo.patch fixing typos in manual pages.
    Thanks lintian.
  * Add patch 91_warnings.patch to get rid of some compile warnings.
  * Add build-indep and build-arch rules targets.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 22 Feb 2014 09:46:13 +0100

plan (1.10.1-3) unstable; urgency=low

  * Add package to collab-maint git, and add VCS URLs to control file.
  * Correct package description, remove LessTif2 reference.
  * Make sure to create /etc/plan before postinst try to add a file
    in the directory (Closes: #729257).
  * Add desktop menu file.
  * Change patch system from dpatch to quilt.  Refresh all patches.
  * Add ${misc:Depends} as netplan dependency.  Thanks lintian.
  * Correct /usr/doc/ to /usr/share/doc/ in README.Debian for plan.
    Thanks lintian.
  * Update standards-version from 3.7.3 to 3.9.5.  No changes needed.
  * Add patch 20_hardening.patch to make it possible to build source
    with hardening flags and enable the hardening flags.
  * Add patch 80_cmdappend_year.patch to make it possible to specify
    year when appending new events using the command line interface.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 21 Feb 2014 22:16:29 +0100

plan (1.10.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714665).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 17:50:19 +0200

plan (1.10.1-2) unstable; urgency=low

  * Change build dependency x-dev go x11proto-core-dev (Closes: #515388).
  * Move to debhelper 7.
  * Rebuilding with newer libraries (Closes: #431553).
  * Add homepage url to control file.
  * Add $syslog as init.d dependency for netplan.
  * Achnowledge and integrate NMU.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Oct 2009 11:09:29 +0200

plan (1.10.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish. Closes: #500389
    - Italian. Closes: #503902
    - Danish. Closes: #503970

 -- Christian Perrier <bubulle@debian.org>  Fri, 31 Oct 2008 07:09:37 +0100

plan (1.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n bugs
  * Debconf translations:
    - Portuguese. Closes: #487860,#489819
    - Finnish. Closes: #496303
    - Basque. Closes: #496877

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2008 09:15:35 +0200

plan (1.10.1-1) unstable; urgency=low

  * New upstream release.
    - Fix bug in holiday file parser (Closes: #369919).
    - Fix wrong Mother's day definition in French holiday file
      (Closes: #369927).
  * New patch 62_no_hardcoded_wordlength to remove -m32 from build
    flags, to avoid build error on alpha and mips.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Dec 2007 11:36:39 +0100

plan (1.10-1) unstable; urgency=low

  * New upstream release (Closes: #431005)
    - Fix buffer overflow in language parser (Closes: #416382).
  * Move to debhelper compat level 4.  Updated rules file to cope with it.
  * Acknowledge NMUs (Closes: #367168, #374249)
  * Add LSB header with dependency information in init.d/netplan.
  * New patch 51_kfreebsd to fix the build on kfreebsd
    (Closes: #414130).
  * New patch 61_nostrip to make sure the nostrip build option
    work. (Closes: #437776)
  * Updated standards-version from 3.6.2 to 3.7.3.  No changes needed.
  * Changed menu item section from "Apps/Tools" to "Applications/Data
    Management", trying to adjust to the new menu policy.
  * Added Dutch debconf translation from Bart
    Cornelis (Closes: #418406).
  * Added Portuguese debconf translation from Ricardo
    Silva (Closes: #420082).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Dec 2007 00:47:27 +0100

plan (1.9-6.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issued.
  * Debconf translations:
    - Russian. Closes: #367168

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Feb 2007 18:11:57 +0100

plan (1.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374249)

 -- Kai Hendry <hendry@iki.fi>  Tue, 27 Jun 2006 10:08:03 +0900

plan (1.9-6) unstable; urgency=low

  * Add forgotten build dependecy libxpm-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Jan 2006 00:02:50 +0100

plan (1.9-5) unstable; urgency=low

  * Change build depend from xlibs-dev to "libx11-dev, libxmu-dev, libxt-dev,
    x-dev" because xlibs-dev is being removed. (Closes: #345579)

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  3 Jan 2006 22:40:37 +0100

plan (1.9-4) unstable; urgency=low

  * New patch 70_no_ngroups_max.dpatch trying to avoid allocating the huge
    memory block in netplan with NGROUPS_MAX=65535. (Closes: #334351)
  * New patch 41_prototypes.dpatch adding ANSI C prototypes to get rid
    of some compile time warnings.
  * New patch debian/patches/71_nclients_doc.dpatch to document how
    the nclient variable in netplan is calculated.
  * Debconf translations:
    - Added Swedish (sv.po) by Daniel Nylander (Closes: #334143)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Jan 2006 11:41:43 +0100

plan (1.9-3) unstable; urgency=low

  * Add 30_holiday_bavarian.dpatch to fix typos in the  Bavarian


=== debian/control ===
Source: plan
Section: misc
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 9), quilt, libmotif-dev, flex (>= 2.5.4a-17), bison, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxpm-dev
Standards-Version: 3.9.5
Homepage: http://www.bitrot.de/plan.html
Vcs-Git: git://git.debian.org/collab-maint/plan
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/plan.git

Package: plan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: netplan
Description: X/Motif day planner
 Plan is a schedule planner based on X/Motif. It displays a month calendar
 similar to xcal, but every day box is large enough to show appointments in
 small print. By pressing on a day box, the appointments for that day can be
 listed and edited. Appointments are entered with the following information
 (everything except the time is optional):
 .
  - the date, time, and length of the appointment,
  - an optional text message to be printed,
  - an optional script to be executed,
  - early-warn and late-warn triggers that precede the alarm time,
  - repetitions: [n-th] weekdays, days-of-the-month, every n days, yearly,
  - optional fast command-line appointment entry,
  - flexible ways to specify holidays and vacations,
  - extensive context help,
  - multiuser capability using the netplan server, provided by the netplan
    package.

Package: netplan
Architecture: any
Depends: adduser (>= 3.21), ${shlibs:Depends}, ${misc:Depends}
Conflicts: plan (<< 1.7.1-1)
Replaces: plan (<< 1.7.1-1)
Suggests: plan
Description: network server for `plan'
 Plan is a schedule planner based on X/Motif.
 .
 Netplan adds to plan multiuser capability using an IP server.
 .
 WARNING: the best level of authentication offered by netplan in
 this version is identd.  That's quite weak, so watch the manpage and
 tune the config carefully.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C

package=plan

debdir=$(shell pwd)/debian
DESTDIR=${debdir}/tmp
relmandir=usr/share/man
relpkgdir=usr/lib/plan
mandir=/${relmandir}

configure: configure-stamp
include /usr/share/quilt/quilt.make
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	cd src && ./configure 4
	touch configure-stamp


build-indep:

build-arch: build
build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	make -C src linux CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp src/Makefile.back
	make -C src clean
	-rm -f src/pland src/plan src/netplan src/notifier
	dh_clean build-stamp

binary-indep: build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	install -d ${DESTDIR}${mandir}/man1 ${DESTDIR}${mandir}/man4 \
		${DESTDIR}${mandir}/man8

	install -D -m 644 debian/plan.desktop debian/plan/usr/share/applications/plan.desktop

	make -C src install DESTDIR=${DESTDIR}
	dh_link ${relmandir}/man1/plan.1.gz ${relmandir}/man1/pland.1.gz \
		${relpkgdir}/pland /usr/bin/pland

# FHS
	mkdir -p ${DESTDIR}/${relpkgdir}
	mkdir -p ${DESTDIR}/var/lib/plan/netplan.dir ${DESTDIR}/etc/plan
	dh_link -pplan etc/plan/holiday ${relpkgdir}/holiday
	dh_link -pnetplan etc/plan/netplan-acl var/lib/plan/netplan.dir/.netplan-acl

	mv ${DESTDIR}${mandir}/man1/netplan.1 ${DESTDIR}${mandir}/man8/netplan.8
	mkdir -p ${DESTDIR}/usr/share/doc/plan/examples/holiday
	cp debian/dot.xsession ${DESTDIR}/usr/share/doc/plan/examples
	cp holiday/holiday_* ${DESTDIR}/usr/share/doc/plan/examples/holiday
#	cd ${DESTDIR} && rmdir usr/sbin ${relmandir}/man8 
#	cd ${DESTDIR} && rmdir -p var/lib/plan/netplan.dir

	# Copied from sysvinit-utils version 2.88dsf-51
	install -D -m 755 debian/init-d-script debian/netplan/usr/share/netplan/init-d-script

	dh_install --sourcedir=${DESTDIR}

	dh_installdocs
	dh_installmenu
	dh_installinit
	dh_installchangelogs HISTORY

	dh_strip
	# We want the holiday files uncompressed, for use in the postinst
	dh_compress -Xusr/share/doc/plan/examples/holiday/
	dh_fixperms
	dh_installdebconf

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really
binary:		binary-indep binary-arch
.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\S+\.linux)/0.0.$1/ \
http://www.bitrot.de/plan.html \
(?:|.*/)plan(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
